{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }

    </style>
{% endblock %}

{% block content %}

    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="border: dashed;line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY HOSTEL,COIMBATORE - 13</span><br>
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">MESS BILL</span><br>
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">{{ context.description_string }}</span><br>
                <span style="font-size: 1.3em;"><strong>DURATION</strong> : {{ context.selected_duration }}</span><br>
            </div>
        </div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large;width: 5%">S.No.</td>
                <td align="center" style="font-weight: bold;font-size: large; width: 15%">Roll Number</td>
                <td align="center" style="font-weight: bold;font-size: large;  width: 20%;">Name</td>
                <th align="center" style="font-weight: bold;font-size: large;">No. of Days</th>
                <th align="center" style="font-weight: bold;font-size: large;">Cost per day</th>
                <th align="center" style="font-weight: bold;font-size: large;">Mess charge</th>
                <th align="center" style="font-weight: bold;font-size: large;">Extra</th>
                <th align="center" style="font-weight: bold;font-size: large;">NRSC</th>
                <th align="center" style="font-weight: bold;font-size: large;">INAM</th>
                <th align="center" style="font-weight: bold;font-size: large;">Cleaning Charges</th>
                <th align="center" style="font-weight: bold;font-size: large;">Security</th>
                <th align="center" style="font-weight: bold;font-size: large;">Total</th>
                <th align="center" style="font-weight: bold;font-size: large;">Round up</th>
                <th align="center" style="font-weight: bold;font-size: large;">Advance</th>
                <th align="center" style="font-weight: bold;font-size: large;">Dues</th>
                <th align="center" style="font-weight: bold;font-size: large;">Fine</th>
            </tr>
            </thead>
            <tbody>
            {% for entry in context.list_of_hostel_students %}
                <tr>
                    <td align="center" style="width: 8%;">{{ forloop.counter }}</td>
                    <td align="center" style="width: 15%">{{ entry.roll_no }}</td>
                    <td align="center" style="width: 20%;">{{ entry.name }}</td>
                    <td align="center">{{ entry.fee_entries.no_of_days }}</td>
                    <td align="center">{{ entry.fee_entries.cost_per_day }}</td>
                    <td align="center">{{ entry.fee_entries.mess_charge }}</td>
                    <td align="center">{{ entry.fee_entries.extra_charge }}</td>
                    <td align="center">{{ entry.fee_entries.nrsc }}</td>
                    <td align="center">{{ entry.fee_entries.inam }}</td>
                    <td align="center">{{ entry.fee_entries.cleaning_charges }}</td>
                    <td align="center">{{ entry.fee_entries.security }}</td>
                    <td align="center">{{ entry.fee_entries.total }}</td>
                    <td align="center">{{ entry.fee_entries.round_up }}</td>
                    <td align="center">{{ entry.fee_entries.advance }}</td>
                    <td align="center">{{ entry.fee_entries.dues }}</td>
                    <td align="center">{{ entry.fee_entries.fine }}</td>
                </tr>
            {% endfor %}
            </tbody>

        </table>
    {% endif %}
{% endblock %}